> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve worker's actionable journeys

GET https://api.letsdeel.com/rest/engage/learning/actionable-journeys

Use this endpoint to retrieve the Courses (ActionableJourneys) assigned to the authenticated worker, for building learning dashboards or reminder flows. Results are cursor-paginated. ActionableJourneys correspond to what the user interface labels as Courses. Learn more about [Learning Management](https://www.deel.com/hr/engage/learning-management-software/)

 **Token scopes**: `worker:read`

Reference: https://developer.deel.com/api/reference/endpoints/learning/retrieve-workers-actionable-journeys-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `journey_ids` (list of string, optional) — Filter by Journey IDs.
- `journey_assignment_ids` (list of string, optional) — Filter by JourneyAssignment IDs.
- `limit` (integer, optional, default: 50) — Return a page of results with given number of records.
- `cursor` (string, optional) — Cursor to the next page of results. If not provided, the first page will be returned.

## Response

### 200

Successful retrieval of actionable journeys

- `data` (list of EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItems, required)
- `next_cursor` (string, required, nullable) — Cursor to fetch the next page of results. Null if no more pages.

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaErrorsItems, optional)
- `request` (EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaRequest, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItems

ActionableJourney item

- `step` (EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsStep, required) — Step details
- `journey` (EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsJourney, required) — Journey details
- `scopeable` (EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsScopeable, required) — Scopeable entity details e.g Assignment details
- `completion` (EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsCompletion, required) — Completion status of the Journey
- `recipientable` (EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsRecipientable, required) — Recipient for the ActionableJourney Step. Used in conjunction with recipient_setting_type. Recipient can be the same user as Assignee or any other user e.g Manager or Accounts Lead based on the RecipientSetting for the Step.
- `actionable_path` (string, required) — Path to redirect User for starting/resuming the Actionable Journey.
- `recipient_setting_type` (enum, required, nullable) — Type of RecipientSetting. e.g Manager, Buddy etc.
  - Allowed values: `hris_organization_user`, `manager`, `buddy`, `mentor`
- `total_journey_steps_count` (integer, required) — Total number of Journey Steps in this Journey.
- `completed_journey_steps_count` (integer, required) — Number of Journey Steps the worker has completed so far.
- `recipient_setting_dynamic_role_id` (string, required, nullable) — Dynamic role/relationship ID for RecipientSetting.
- `recipient_setting_dynamic_role_name` (string, required, nullable) — Dynamic role name for RecipientSetting

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaErrorsItems

- `path` (string, optional) — The JSON path where input validation failed
- `message` (string, optional) — A description of the returned error

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaRequest

- `url` (string, optional) — The relative URL of the failed request
- `code` (double, optional) — The code of the source handler which produced the returned error
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `method` (string, optional) — The HTTP method of the failed request
- `source` (string, optional) — The source handler which produced the returned error
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsStep

Step details

- `id` (string, required) — Unique identifier of the Step
- `journey` (EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsStepJourney, required) — Basic Journey information for the step
- `journey_id` (string, required) — ID of the Journey this step belongs to

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsJourney

Journey details

- `id` (string, required) — Unique identifier of the journey
- `title` (string, required) — Title of the journey
- `type_slug` (string, required) — The type slug of the Journey e.g default, Scorm
- `created_at` (string, required) — The timestamp when the Journey was created
- `updated_at` (string, required) — The timestamp when the Journey was last updated
- `description` (string, required, nullable) — Description of the Journey
- `is_template` (boolean, required) — Whether the Journey is a template
- `draft_for_id` (string, required, nullable) — If this is draft for an existing Journey, draft_for_id is the reference to the original Journey ID.
- `published_at` (string, required) — The timestamp when the Journey was published
- `is_time_based` (boolean, required) — Whether the Journey is time-based
- `organization_id` (integer, required) — The organizationID this Journey belongs to
- `visibility_slug` (enum, required) — The visibility setting of the Journey
  - Allowed values: `organization`, `public`, `private-marketplace`
- `recently_edited_at` (string, required) — The timestamp when the Journey was recently edited
- `is_visible_in_library` (boolean, required) — Whether the Journey is visible in the library
- `is_self_assignment_allowed` (boolean, required) — Whether self-assignment is allowed for this Journey
- `created_by_hris_organization_user_profile` (EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsJourneyCreatedByHrisOrganizationUserProfile, required) — Profile of the user who created the journey
- `updated_by_hris_organization_user_profile` (EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsJourneyUpdatedByHrisOrganizationUserProfile, required) — Profile of the user who last updated the journey
- `cover_picture` (EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsJourneyCoverPicture, optional, nullable) — CoverPicture details for the Journey

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsScopeable

Scopeable entity details e.g Assignment details

- `id` (string, required) — Unique identifier of the scopeable entity e.g AssignmentID
- `is_self_assigned` (boolean, required) — Whether the assignment was self-assigned
- `assignee_hris_organization_user` (EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsScopeableAssigneeHrisOrganizationUser, required) — Details of the assigned user

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsCompletion

Completion status of the Journey

- `percentage` (double, required) — Completion percentage of the Journey

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsRecipientable

Recipient for the ActionableJourney Step. Used in conjunction with recipient_setting_type. Recipient can be the same user as Assignee or any other user e.g Manager or Accounts Lead based on the RecipientSetting for the Step.

- `type` (enum, required) — Type of the recipient User
  - Allowed values: `WORKER`, `CLIENT`
- `email` (string, required) — Email address of the recipient
- `country` (string, required, nullable) — Country of the recipient
- `pic_url` (string, required, nullable) — URL of the profile picture of the recipient
- `job_title` (string, required, nullable) — Job title of the recipient
- `last_name` (string, required) — Last name of the recipient
- `first_name` (string, required) — First name of the recipient
- `work_email` (string, required) — Work email of the recipient
- `deactivated_at` (string, required, nullable) — Deactivation timestamp of the recipient, if applicable
- `preferred_name` (string, required) — Preferred name of the recipient
- `organization_public_id` (string, required) — Public ID of the organization the recipient belongs to
- `hris_organization_user_id` (string, required) — HRIS organization user ID of the recipient

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsStepJourney

Basic Journey information for the step

- `id` (string, optional) — Unique identifier of the Journey
- `title` (string, optional) — Title of the journey

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsJourneyCreatedByHrisOrganizationUserProfile

Profile of the user who created the journey

- `type` (enum, optional) — Type of the User
  - Allowed values: `WORKER`, `CLIENT`
- `email` (string, optional, nullable) — Email of the user who created the Journey
- `country` (string, optional, nullable) — Country of the User
- `pic_url` (string, optional, nullable) — URL of the profile picture
- `job_title` (string, optional, nullable) — Job title of the User
- `last_name` (string, optional, nullable) — Last name of the User
- `first_name` (string, optional, nullable) — First name of the User
- `work_email` (string, optional, nullable) — Work email of the User
- `deactivated_at` (string, optional, nullable) — Deactivation timestamp, if applicable
- `preferred_name` (string, optional, nullable) — Preferred name of the User
- `organization_public_id` (string, optional) — Public ID of the organization
- `hris_organization_user_id` (string, optional) — HRIS organization user ID

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsJourneyUpdatedByHrisOrganizationUserProfile

Profile of the user who last updated the journey

- `type` (enum, optional) — Type of the User
  - Allowed values: `WORKER`, `CLIENT`
- `email` (string, optional, nullable) — Email of the user who last updated the journey
- `country` (string, optional, nullable) — Country of the User
- `pic_url` (string, optional, nullable) — URL of the profile picture
- `job_title` (string, optional, nullable) — Job title of the User
- `last_name` (string, optional, nullable) — Last name of the User
- `first_name` (string, optional, nullable) — First name of the User
- `work_email` (string, optional, nullable) — Work email of the User
- `deactivated_at` (string, optional, nullable) — Deactivation timestamp, if applicable
- `preferred_name` (string, optional, nullable) — Preferred name of the User
- `organization_public_id` (string, optional) — Public ID of the organization
- `hris_organization_user_id` (string, optional) — HRIS organization user ID

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsJourneyCoverPicture

CoverPicture details for the Journey

- `id` (string, optional) — Unique identifier of the CoverPicture Attachment
- `url` (string, optional) — URL to access the cover picture
- `file_name` (string, optional) — Name of the file
- `attachable_id` (string, optional) — ID of the entity this attachment belongs to e.g. JourneyID
- `attachable_type` (string, optional) — Type of the entity this attachment belongs to e.g Journey
- `file_content_type` (string, optional) — Content type of the file
- `attachment_type_slug` (string, optional) — Type of the attachment (e.g., cover_picture)

### EngageLearningActionableJourneysGetResponsesContentApplicationJsonSchemaDataItemsScopeableAssigneeHrisOrganizationUser

Details of the assigned user

- `type` (enum, optional) — Type of the assignee user
  - Allowed values: `WORKER`, `CLIENT`
- `email` (string, optional) — Email address of the assignee
- `country` (string, optional, nullable) — Country of the assignee
- `pic_url` (string, optional, nullable) — URL of the profile picture of the assignee
- `job_title` (string, optional, nullable) — Job title of the assignee
- `last_name` (string, optional) — Last name of the assignee
- `first_name` (string, optional) — First name of the assignee
- `work_email` (string, optional) — Work email of the assignee
- `deactivated_at` (string, optional, nullable) — Deactivation timestamp of the assignee, if applicable
- `preferred_name` (string, optional) — Preferred name of the assignee
- `organization_public_id` (string, optional) — Public ID of the organization the assignee belongs to
- `hris_organization_user_id` (string, optional) — HRIS organization user ID of the assignee

## Examples

**Response**

```json
{
  "data": [
    {
      "step": {
        "id": "54463680-7653-4f99-a87e-efa43d6290c0",
        "journey": {
          "id": "69c18d4d-3428-4ebf-96a8-9445c0bbd9ab",
          "title": "Health and Safety Training"
        },
        "journey_id": "69c18d4d-3428-4ebf-96a8-9445c0bbd9ab"
      },
      "journey": {
        "id": "69c18d4d-3428-4ebf-96a8-9445c0bbd9ab",
        "title": "Health and Safety Training",
        "type_slug": "default",
        "created_at": "2025-02-13T13:25:01.371Z",
        "updated_at": "2025-04-15T16:18:19.928Z",
        "description": "Welcome to Deel's Health and Safety course.",
        "is_template": false,
        "draft_for_id": "d0fe1c70-aa70-48fa-971a-db805b1ea66d",
        "published_at": "2025-02-05T10:37:26.368Z",
        "is_time_based": false,
        "organization_id": 166431,
        "visibility_slug": "private-marketplace",
        "recently_edited_at": "2025-02-05T10:37:26.361Z",
        "is_visible_in_library": false,
        "is_self_assignment_allowed": false,
        "created_by_hris_organization_user_profile": {
          "type": "CLIENT",
          "email": "mary.crist@private.com",
          "country": "DE",
          "pic_url": "https://avatars.githubusercontent.com/u/67282049?s=200&v=4",
          "job_title": "Software Engineer",
          "last_name": "Crist",
          "first_name": "Mary",
          "work_email": "mary.crist@workplace.com",
          "deactivated_at": "2025-02-13T13:25:01.371Z",
          "preferred_name": "Mary Crist",
          "organization_public_id": "84352093-cbe1-48f7-92ca-1f4bdb07b76f",
          "hris_organization_user_id": "fe5473e1-f6ff-45bf-b7bb-c8e44a225de7"
        },
        "updated_by_hris_organization_user_profile": {
          "type": "CLIENT",
          "email": "mary.crist@private.com",
          "country": "DE",
          "pic_url": "https://avatars.githubusercontent.com/u/67282049?s=200&v=4",
          "job_title": "Software Engineer",
          "last_name": "Crist",
          "first_name": "Mary",
          "work_email": "mary.crist@workplace.com",
          "deactivated_at": "2025-02-13T13:25:01.371Z",
          "preferred_name": "Mary Crist",
          "organization_public_id": "84352093-cbe1-48f7-92ca-1f4bdb07b76f",
          "hris_organization_user_id": "fe5473e1-f6ff-45bf-b7bb-c8e44a225de7"
        },
        "cover_picture": {
          "id": "0127f9ba-e6f7-478d-8dc0-619fda871628",
          "url": "https://picsum.photos/seed/picsum/200/300",
          "file_name": "health-and-safety.png",
          "attachable_id": "69c18d4d-3428-4ebf-96a8-9445c0bbd9ab",
          "attachable_type": "Journey",
          "file_content_type": "image/jpeg",
          "attachment_type_slug": "cover_picture"
        }
      },
      "scopeable": {
        "id": "0db4a31b-dce1-4ad6-8dcb-a1178b4add22",
        "is_self_assigned": false,
        "assignee_hris_organization_user": {
          "type": "WORKER",
          "email": "thomas.howel@private.com",
          "country": "DE",
          "pic_url": "https://avatars.githubusercontent.com/u/67282049?s=200&v=4",
          "job_title": "Software Engineer",
          "last_name": "Thomas",
          "first_name": "Howell",
          "work_email": "thomas.howe@privatel.com",
          "deactivated_at": "2025-02-13T13:25:01.371Z",
          "preferred_name": "Thomas Howell",
          "organization_public_id": "e24787df-a7ac-4d01-88a0-6aabeb187692",
          "hris_organization_user_id": "72b997c0-39ce-4f02-92e6-040fd5131d56"
        }
      },
      "completion": {
        "percentage": 37.5
      },
      "recipientable": {
        "type": "WORKER",
        "email": "thomas.howel@private.com",
        "country": "DE",
        "pic_url": "https://avatars.githubusercontent.com/u/67282049?s=200&v=4",
        "job_title": "Software Engineer",
        "last_name": "Howell",
        "first_name": "Thomas",
        "work_email": "thomas.howell@test.com",
        "deactivated_at": "2025-02-13T13:25:01.371Z",
        "preferred_name": "Thomas Howell",
        "organization_public_id": "e24787df-a7ac-4d01-88a0-6aabeb187692",
        "hris_organization_user_id": "72b997c0-39ce-4f02-92e6-040fd5131d56"
      },
      "actionable_path": "/learning/actionable-journeys/75d7c4ad-dc7c-4dab-8031-2f5802c02b07/recipient-step-redirection?scopeableId=f43974d7-2ba2-41ae-b45f-f3c9fcf51502&scopeableType=Assignment",
      "recipient_setting_type": "hris_organization_user",
      "total_journey_steps_count": 5,
      "completed_journey_steps_count": 3,
      "recipient_setting_dynamic_role_id": "0127f9ba-e6f7-478d-8dc0-619fda871628",
      "recipient_setting_dynamic_role_name": "Accounts Lead"
    }
  ],
  "next_cursor": "eyJvZmZzZXQiOjAsImxpbWl0IjpudWxsLCJzY29wZSI6bnVsbH0"
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/engage/learning/actionable-journeys"

querystring = {"cursor":"eyJvZmZzZXQiOjF9","journey_assignment_ids":"[\"c765c265-f7c9-41b1-832a-c70fd25b3582\"]","journey_ids":"[\"985aa5c1-00f0-49a2-ac30-9be1489ecd8d\"]","limit":"50"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/engage/learning/actionable-journeys?cursor=eyJvZmZzZXQiOjF9&journey_assignment_ids=%5B%22c765c265-f7c9-41b1-832a-c70fd25b3582%22%5D&journey_ids=%5B%22985aa5c1-00f0-49a2-ac30-9be1489ecd8d%22%5D&limit=50';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/engage/learning/actionable-journeys?cursor=eyJvZmZzZXQiOjF9&journey_assignment_ids=%5B%22c765c265-f7c9-41b1-832a-c70fd25b3582%22%5D&journey_ids=%5B%22985aa5c1-00f0-49a2-ac30-9be1489ecd8d%22%5D&limit=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/engage/learning/actionable-journeys?cursor=eyJvZmZzZXQiOjF9&journey_assignment_ids=%5B%22c765c265-f7c9-41b1-832a-c70fd25b3582%22%5D&journey_ids=%5B%22985aa5c1-00f0-49a2-ac30-9be1489ecd8d%22%5D&limit=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/engage/learning/actionable-journeys?cursor=eyJvZmZzZXQiOjF9&journey_assignment_ids=%5B%22c765c265-f7c9-41b1-832a-c70fd25b3582%22%5D&journey_ids=%5B%22985aa5c1-00f0-49a2-ac30-9be1489ecd8d%22%5D&limit=50")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/engage/learning/actionable-journeys?cursor=eyJvZmZzZXQiOjF9&journey_assignment_ids=%5B%22c765c265-f7c9-41b1-832a-c70fd25b3582%22%5D&journey_ids=%5B%22985aa5c1-00f0-49a2-ac30-9be1489ecd8d%22%5D&limit=50', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/engage/learning/actionable-journeys?cursor=eyJvZmZzZXQiOjF9&journey_assignment_ids=%5B%22c765c265-f7c9-41b1-832a-c70fd25b3582%22%5D&journey_ids=%5B%22985aa5c1-00f0-49a2-ac30-9be1489ecd8d%22%5D&limit=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/engage/learning/actionable-journeys?cursor=eyJvZmZzZXQiOjF9&journey_assignment_ids=%5B%22c765c265-f7c9-41b1-832a-c70fd25b3582%22%5D&journey_ids=%5B%22985aa5c1-00f0-49a2-ac30-9be1489ecd8d%22%5D&limit=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```